Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.PROCEDURE_COLUMNS

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.PROCEDURE_COLUMNS

This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

Field Summary
`static int` | `CHAR_OCTET_LENGTH`
`static int` | `COLUMN_DEF`
`static int` | `COLUMN_NAME`
`static int` | `COLUMN_TYPE` Position of the column containing column or element type.
`static int` | `DATA_TYPE` Position of column that contains SQL type from java.sql.Types for column's data type.
`static int` | `IS_NULLABLE`
`static int` | `LENGTH`
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned getProcedureColumns method.
`static int` | `NULLABLE` Position of column that contains the nullable value.
`static int` | `ORDINAL_POSITION`
`static int` | `PRECISION`
`static int` | `PROCEDURE_CAT` Position of column that contains catalog name of the procedure.
`static int` | `PROCEDURE_NAME`
`static int` | `PROCEDURE_SCHEM`
`static int` | `RADIX`
`static int` | `REMARKS` Position of column that contains comments.
`static int` | `SCALE`
`static int` | `SPECIFIC_NAME`
`static int` | `SQL_DATA_TYPE`
`static int` | `SQL_DATETIME_SUB`
`static int` | `TYPE_NAME` Position of column that contains local type name used by the data source.

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned getProcedureColumns method.

  See Also:
    Constant Field Values

### PROCEDURE_CAT

    static final int PROCEDURE_CAT

  Position of column that contains catalog name of the procedure.

  See Also:
    Constant Field Values

### PROCEDURE_SCHEM

    static final int PROCEDURE_SCHEM

See Also:
  Constant Field Values

### PROCEDURE_NAME

    static final int PROCEDURE_NAME

See Also:
  Constant Field Values

### COLUMN_NAME

    static final int COLUMN_NAME

See Also:
  Constant Field Values

### COLUMN_TYPE

    static final int COLUMN_TYPE

  Position of the column containing column or element type.

  See Also:
    Constant Field Values

### DATA_TYPE

    static final int DATA_TYPE

  Position of column that contains SQL type from java.sql.Types for column's data type.

  See Also:
    Constant Field Values

### TYPE_NAME

    static final int TYPE_NAME

  Position of column that contains local type name used by the data source.

  See Also:
    Constant Field Values

### PRECISION

    static final int PRECISION

See Also:
  Constant Field Values

### LENGTH

    static final int LENGTH

See Also:
  Constant Field Values

### SCALE

    static final int SCALE

See Also:
  Constant Field Values

### RADIX

    static final int RADIX

See Also:
  Constant Field Values

### NULLABLE

    static final int NULLABLE

  Position of column that contains the nullable value.

  See Also:
    Constant Field Values

### REMARKS

    static final int REMARKS

  Position of column that contains comments.

  See Also:
    Constant Field Values

### COLUMN_DEF

    static final int COLUMN_DEF

See Also:
  Constant Field Values

### SQL_DATA_TYPE

    static final int SQL_DATA_TYPE

See Also:
  Constant Field Values

### SQL_DATETIME_SUB

    static final int SQL_DATETIME_SUB

See Also:
  Constant Field Values

### CHAR_OCTET_LENGTH

    static final int CHAR_OCTET_LENGTH

See Also:
  Constant Field Values

### ORDINAL_POSITION

    static final int ORDINAL_POSITION

See Also:
  Constant Field Values

### IS_NULLABLE

    static final int IS_NULLABLE

See Also:
  Constant Field Values

### SPECIFIC_NAME

    static final int SPECIFIC_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.